

Links=SmallWorld(20,0.5);
Number=   [1  2  3  4  5   6  7  8  9   10  11 12 13  14 15 16 17 18  19 20];
Lambdamu= [0  50 0  50 -200 0  160 30 -20 -40 170 80 -20 130 0  0  30 -20 0  140];
Zeta=0.01;

i=0;
SatOverSigA=[];
Sig=[];

for sig=0:10:200
    
    Lambdasig=[0  0 0  0  sig  0  0  0  0   0  0  0  0   0  0  0  0  0   0  0];
    
    [SatisfiedA, Edges]=Annealed(Lambdamu,Lambdasig,Links,Zeta);
    
    SatOverSigA(length(SatOverSigA)+1)=SatisfiedA(5);
    
    Percentile(length(SatOverSigA))=0.5*(erf((-1*(SatisfiedA(5)+200)+200)/(sqrt(2)*sig))+1); 
    if sig==0
        Percentile(length(SatOverSigA))=0;
    end
    
    Sig(length(Sig)+1)=sig;
        
end



figure('Units','centimeters','Position',[5 5 16 13],'PaperPositionMode','auto')

[ax,hline1,hline2]=plotyy(Sig,SatOverSigA,Sig,Percentile);
xlabel('$\sigma$');
ylabel(ax(1),'Excess');
ylabel(ax(2),'Fraction');
axis([0 Sig(end) 0 SatOverSigA(end)]);
set(hline1,'Color',[0.6 0 1],'Marker','*','MarkerSize',10,'LineStyle','none');
set(hline2,'Color',[1 0 0.8],'LineStyle','-','LineWidth',1);
set(ax(1),'YLim',[0 500],'YColor',[0.6 0 1],'XLim',[0 200]);
set(ax(2),'YLim',[0 0.5],'YColor',[1 0 0.8],'XLim',[0 200]);
set(ax(1),...
'Units','normalized',...
'YTick',0:100:500,...
'XTick',0:50:200,...
'Position',[.17 .15 .7 .7],...
'FontUnits','points',...
'FontWeight','normal',...
'FontSize',18,...
'FontName','Times',...
'TickDir','out')
set(ax(2),...
'Units','normalized',...
'YTick',0:0.1:5,...
'XTick',0:50:200,...
'Position',[.17 .15 .7 .7],...
'FontUnits','points',...
'FontWeight','normal',...
'FontSize',18,...
'FontName','Times',...
'TickDir','out')
ylabel(ax(1),'Excess',...
'FontUnits','points',...
'interpreter','latex',...
'FontSize',20,...
'Color','k',...
'FontName','Times',...
'Position',[-30 220 0])
ylabel(ax(2),'Fraction',...
'FontUnits','points',...
'interpreter','latex',...
'FontSize',20,...
'Color','k',...
'FontName','Times',...
'Position',[225 0.5 0.5])
xlabel('$\sigma$',...
'FontUnits','points',...
'interpreter','latex',...
'FontWeight','normal',...
'FontSize',20,...
'FontName','Times',...
'Position',[100 -60 0])
% set(p,'LineWidth',2);
print -dpng ExcessOverSigmaAnnealed.png
